# timeloop.cpp File Reference

Implementation of the "Time Loop" layer. More...

`#include "timeloop.h"`
`#include <synfig/valuenode.h>`
`#include <synfig/valuenode_const.h>`
`#include <synfig/valuenode_subtract.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/value.h>`

## Functions

| SYNFIG_LAYER_INIT (Layer_TimeLoop)
| SYNFIG_LAYER_SET_NAME (Layer_TimeLoop,"timeloop")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_TimeLoop, N_("Time Loop"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_TimeLoop, N_("Other"))
| SYNFIG_LAYER_SET_VERSION (Layer_TimeLoop,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Layer_TimeLoop,"$Id$")

## Detailed Description

Implementation of the "Time Loop" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_TimeLoop |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_TimeLoop | ,
|  | "timeloop" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_TimeLoop | ,
|  | N_("Time Loop") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_TimeLoop | ,
|  | N_("Other") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_TimeLoop | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_TimeLoop | ,
|  | "$Id$" |  |
| ) |  |  |